# Update verification status

This endpoint is used to programmatically change the status of an existing verification record. This is typically utilised by your systems to finalise or adjust a verification's outcome after review

Endpoint: POST /verifications/{verification_id}/status
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Path parameters:

  - `verification_id` (string | null, required)

## Request fields (application/json):

  - `verification_status` (string, required)
    The status of the verification. This value is set automatically by our system, or manually in the Admin panel or the Dashboard after a review
- `approved`: a reviewed and approved verification
- `declined`: a reviewed and declined verification
    Enum: "approved", "declined"

  - `callback_enabled` (boolean)
    If set to `true`, our system will send the “**Verification completed**” callback for the specified verification
    Enum: true, false

  - `project_owner_email_enabled` (boolean)
    If set to `true`, a notification email regarding the status of the verification will be sent by our system to the project owner of the project
    Enum: true, false

  - `applicant_email_enabled` (boolean)
    If set to `true`, a notification email regarding the status of the verification will be sent by our system directly to the applicant who completed the form
    Enum: true, false

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

  - `data` (object)

  - `data.verification_id` (string | null)
    A unique identifier for a verification, assigned by our system after a verification is created using the “Create a verification" request
    Example: da0ebf0ade0bfad0ebf0adeb0fade0bfad0e

  - `data.verification_status` (string)
    The status of the verification. This value is set automatically by our system, or manually in the Admin panel or the Dashboard after a review
- `approved`: a reviewed and approved verification
- `declined`: a reviewed and declined verification
    Enum: "approved", "declined"

## Response 400:

  - `400` (unknown)
    **Bad Request**
Our system could not process the request due to invalid syntax, missing parameters, or incorrect data format. Check the request structure and try again.

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402:

  - `402` (unknown)
    **Payment Required**
Access to the requested resource is restricted until a payment is successfully processed. Ensure your account has a valid payment method or sufficient funds to complete this action.

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 404:

  - `404` (unknown)
    **Not Found**
The requested resource does not exist or can’t be found in our system.

## Response 404 fields (application/json):

  - `type` (string)
    Example: not_found

  - `errors` (array)

  - `errors.parameter` (string)
    Example: verification_id

  - `errors.message` (string)
    Example: The verification was not found

## Response 422:

  - `422` (unknown)
    **Unprocessable Content**
Our system understands the request but can’t process it due to invalid fields in the request body.

## Response 422 fields (application/json):

  - `type` (string)
    Example: validation

  - `errors` (array)

  - `errors.parameter` (string)
    Example: verification_id

  - `errors.message` (string)
    Example: Value is required

